public class Sorting{
  
  public static void swap( int [] input_array, int index1, int index2){
    /*
     *  Make input_array[index1] have the value of input_array[index2]
     *  and viceversa
     */
     int temporary = input_array[index1];
     
     input_array[index1] = input_array[index2];
     
     input_array[index2] = temporary;
  }
  
  public static void insertionSort( int [] A){
    for (int pos = 1; pos < A.length; pos++){
      int j =  pos;
      int ITEM = A[pos];
      
      while ( j>0 && ITEM < A[j-1])
      {
        swap(A,j,j-1);
        j--; 
      };
    }
  }
  
  public static void main(String[] args){
    int[] test_array = { 1,2,3,4,5,6,7,8,9,10};
    swap(test_array,4,5);
    swap(test_array,0,test_array.length-1);
    
    // let's print every value inside the test_array, separated by a comma
    for ( int i = 0 ; i < test_array.length; i++){
        System.out.print(test_array[i]+","); 
    }
    System.out.println();
    
    insertionSort(test_array);
    
    // let's print every value inside the test_array, separated by a comma
    // if everything is working well, 
    // the output should be in ascending order
    for ( int i = 0 ; i < test_array.length; i++){
        System.out.print(test_array[i]+","); 
    }
    System.out.println();    
  }
}